%define upstream_name    Internals
%define upstream_version 1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	Write-protect variables, manipulate refcounts
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This module allows you to write-protect and write-enable your Perl
variables, objects and data structures.

Moreover, the reference count of any Perl variable can be read and set.

You can never pass the object directly on which to perform the desired
action, you always have to pass a reference to the variable or data
structure in question.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README.txt Artistic.txt GNU_GPL.txt CHANGES.txt
%{_mandir}/man3/*
%perl_vendorarch/Internals.pm
%perl_vendorarch/auto/Internals


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-13.mga6
+ Revision: 1028597
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.100.0-12.mga6
+ Revision: 957542
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.100.0-11.mga6
+ Revision: 843152
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-10.mga5
+ Revision: 738831
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-9.mga5
+ Revision: 685136
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.100.0-8.mga5
+ Revision: 631313
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-7.mga4
+ Revision: 524848
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.100.0-6.mga4
+ Revision: 431580
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-5.mga3
+ Revision: 368746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.100.0-4.mga3
+ Revision: 250781
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.100.0-3.mga2
+ Revision: 104687
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 30633
- mageia rebuild
- imported package perl-Internals


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.100.0-2mdv2011.0
+ Revision: 555272
- rebuild

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.1
+ Revision: 504935
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.1-3mdv2010.0
+ Revision: 430471
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.1-2mdv2009.0
+ Revision: 268535
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2009.0
+ Revision: 214061
- import perl-Internals


* Sun Jun 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2009.0
- first mdv release  
